org.apache.avro.compiler.schema

## Enum SchemaVisitorAction

- java.lang.Object
- - java.lang.Enum<SchemaVisitorAction>
  - - org.apache.avro.compiler.schema.SchemaVisitorAction

- All Implemented Interfaces:
    Serializable, Comparable<SchemaVisitorAction>

      public enum SchemaVisitorAction
      extends Enum<SchemaVisitorAction>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTINUE` continue visit.
    `SKIP_SIBLINGS` Skip visiting the siblings of this schema.
    `SKIP_SUBTREE` when returned from pre non terminal visit method the children of the non terminal are skipped.
    `TERMINATE` terminate visit.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SchemaVisitorAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SchemaVisitorAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONTINUE

          public static final SchemaVisitorAction CONTINUE

      continue visit.

    - #### TERMINATE

          public static final SchemaVisitorAction TERMINATE

      terminate visit.

    - #### SKIP_SUBTREE

          public static final SchemaVisitorAction SKIP_SUBTREE

      when returned from pre non terminal visit method the children of the non terminal are skipped. afterVisitNonTerminal for the current schema will not be invoked.

    - #### SKIP_SIBLINGS

          public static final SchemaVisitorAction SKIP_SIBLINGS

      Skip visiting the siblings of this schema.

  - ### Method Detail

    - #### values

          public static SchemaVisitorAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SchemaVisitorAction c : SchemaVisitorAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SchemaVisitorAction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.